using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;

namespace ITCWebshop4.Models.Mapping
{
    public class tblLangMap : EntityTypeConfiguration<tblLang>
    {
        public tblLangMap()
        {
            // Primary Key
            this.HasKey(t => t.LangId);

            // Properties
            this.Property(t => t.ShortDescr)
                .IsRequired()
                .HasMaxLength(10);

            this.Property(t => t.LongDescr)
                .IsRequired()
                .HasMaxLength(100);

            // Table & Column Mappings
            this.ToTable("tblLang");
            this.Property(t => t.LangId).HasColumnName("LangId");
            this.Property(t => t.ShortDescr).HasColumnName("ShortDescr");
            this.Property(t => t.LongDescr).HasColumnName("LongDescr");
        }
    }
}
