﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Web.Mvc;

namespace ITCWebshop4.Models
{
	[Bind(Exclude = "UserId,CreatedAt,CreatedBy,ChangedAt,ChangedBy")]
	public partial class tblUser
	{
		public tblUser()
		{
			this.tblProducts = new List<tblProduct>();
		}

		public System.Guid UserId { get; set; }
		[DisplayName("Benutzername")]
		public string UserName { get; set; }
		[DisplayName("Neuanlagerecht")]
		public bool AllowNew { get; set; }
		[DisplayName("Änderungsrecht")]
		public bool AllowEdit { get; set; }
		[DisplayName("Löschrecht")]
		public bool AllowDelete { get; set; }
		[DisplayName("Adminrecht")]
		public bool IsAdmin { get; set; }
		public System.DateTime CreatedAt { get; set; }
		public string CreatedBy { get; set; }
		public Nullable<System.DateTime> ChangedAt { get; set; }
		public string ChangedBy { get; set; }
		public virtual ICollection<tblProduct> tblProducts { get; set; }
	}
}
